[Unit]
Description=iptables firewall service
After=network.target

[Service]
Type=oneshot
ExecStart=/sbin/iptables -I INPUT -m tcp --dport {{ cloudstack.plugins.check_mk_agent.config.port }} -p tcp -j DROP
{% for source_ip in cloudstack.plugins.check_mk_agent.config.source_ips %}
ExecStart=/sbin/iptables -I INPUT -m tcp  --dport {{ cloudstack.plugins.check_mk_agent.config.port }} -p tcp --source {{ source_ip }} -j ACCEPT 
{% endfor %}
RemainAfterExit=true
ExecStop=/sbin/iptables -D INPUT -m tcp --dport {{ cloudstack.plugins.check_mk_agent.config.port }} -p tcp -j DROP
{% for source_ip in cloudstack.plugins.check_mk_agent.config.source_ips %}
ExecStop=/sbin/iptables -D INPUT -m tcp --dport {{ cloudstack.plugins.check_mk_agent.config.port }} -p tcp --source {{ source_ip }} -j ACCEPT 
{% endfor %}
StandardOutput=journal

[Install]
WantedBy=multi-user.target